import bb.cascades 1.2
import QTimer 1.0

Container {
    id: changelogContainer
    property alias changelogText: changelogLabel.text
    property int remainingSeconds: 10
    
    property bool updateBridgeDroid: false
    property bool updateBridgeWA: false
    
    onCreationCompleted: { enableOkButtonTimer.start() }
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill

    attachedObjects: [
        QTimer {
            id: enableOkButtonTimer
            interval: 1000
            onTimeout: { 
                remainingSeconds-- 
                if (remainingSeconds == 0) {
                    enableOkButtonTimer.stop()
                }
            }
        }
    ]
    Container {
        layout: DockLayout {}
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        background: backgroundImage.imagePaint
        opacity: 0.4
        attachedObjects: [
            ImagePaintDefinition {
                id: backgroundImage
                repeatPattern: RepeatPattern.XY
                imageSource: "asset:///images/icons/appIcon_faded.amd"
            }
        ]
    }
    Container {
        layout: DockLayout {}
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        ScrollView {
            id: changelogScrollview
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Container {
                layout: DockLayout {}
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    topPadding: 100
                    bottomPadding: topPadding
                    leftPadding: topPadding
                    rightPadding: topPadding
                    Label {
                        id: changelogLabel
                        multiline: true
                        horizontalAlignment: HorizontalAlignment.Center
                    }
                    Button {
                        text: ((remainingSeconds > 0) ? remainingSeconds : qsTr("Ok"))
                        enabled: (remainingSeconds <= 0)
                        visible: ((_settings.value("digitalGoods", "") == "") || (!updateBridgeDroid && !updateBridgeWA))
                        horizontalAlignment: HorizontalAlignment.Center
                        onClicked: {
                            changelogContainer.visible = false
                            changelogScrollview.scrollToPoint(0, 0)
                            
                            //tutorialSheet.open()
                        }
                    }
                    Container {
                        visible: ((_settings.value("digitalGoods", "") != "") && (updateBridgeDroid || updateBridgeWA))
                        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
                        horizontalAlignment: HorizontalAlignment.Center
                        Button {
                            visible: updateBridgeDroid
                            text: qsTr("Update Bridge Droid") + Retranslate.onLocaleOrLanguageChanged
                            horizontalAlignment: HorizontalAlignment.Center
                            onClicked: { 
                                _app.installBridgeDroid(_publicDir + "assets/BridgeDroidApk/app-release.apk") 
                                updateBridgeDroid = false
                            }
                        }
                        Button {
                            visible: updateBridgeWA
                            text: qsTr("Update Bridge WA") + Retranslate.onLocaleOrLanguageChanged
                            horizontalAlignment: HorizontalAlignment.Center
                            onClicked: { 
                                /*
                                if (_settings.value("digitalGoods", "") != "") {
                                    bridgeWAinvocation.query.invokeActionId = "bb.action.OPEN"
                                    bridgeWAinvocation.query.uri = _publicDir + "assets/BridgeWA/Bridge_WA.pbw"
                                    bridgeWAinvocation.query.updateQuery()
                                }
                                else {
                                    _app.installBridgeWA(_publicDir + "assets/BridgeWA/Bridge_WA.pbw")
                                }
                                */
                                _app.installBridgeWA(_publicDir + "assets/BridgeWA/Bridge_WA.pbw")
                                updateBridgeWA = false
                            }
                            attachedObjects: [
                                Invocation {
                                    id: bridgeWAinvocation
                                    onArmed: { trigger(query.invokeActionId) }
                                }
                            ]
                        }
                    }
                }
            }
        }
    }
}
