import bb.cascades 1.2

Container {
    property alias stepNumber: stepNumberLabel.text
    property alias stepInstruction: stepInstructionLabel.text
    property alias buttonText: button.text
    property alias buttonImageSource: button.imageSource
    
    signal buttonClicked()
    
    layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
    Container {
        layoutProperties: StackLayoutProperties { spaceQuota: 1 }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Center
        Label {
            id: stepNumberLabel
            horizontalAlignment: HorizontalAlignment.Center
            textStyle.fontSize: FontSize.XXLarge
        }
    }
    Container {
        layoutProperties: StackLayoutProperties { spaceQuota: 5 }
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        Label {
            id: stepInstructionLabel
            multiline: true
            textStyle.fontSize: FontSize.Medium
            textStyle.textAlign: TextAlign.Justify
            visible: text != ""
        }
        Button {
            id: button
            visible: (button.text != "")
            onClicked: { buttonClicked() }
        }
    }

}
