import bb.cascades 1.2
import bb.system 1.2
import "../CustomElements"

Container {
    id: developerOptions
    Label {
        text: "The next section is only visible to beta testers"
        horizontalAlignment: HorizontalAlignment.Center
    }
    Label { 
        id: freemiumDateLabel 
        text: "Freemium start date: " + _app.freemiumStartDate
        horizontalAlignment: HorizontalAlignment.Center
    }
    Button {
        text: "Install Bridge Droid"
        visible: false
        horizontalAlignment: HorizontalAlignment.Center
        onClicked: { _app.installBridgeDroid(_publicDir + "assets/BridgeDroidApk/app-release.apk") }
    }
    Container {
        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
        horizontalAlignment: HorizontalAlignment.Center
        TextField { 
            id: senderTextField 
            hintText: "Sender"
            text: "Roger Leblanc" 
        }
        TextField { 
            id: messageTextField 
            hintText: "Message"
            text: "Testing " + Application.applicationName 
        }
    }
    Button {
        text: qsTr("Test") + Retranslate.onLocaleOrLanguageChanged
        horizontalAlignment: HorizontalAlignment.Center
        onClicked: { _t2w.sendSms(messageTextField.text, senderTextField.text) }
    }
    Divider {}
    Container {
        topPadding: _ui.du(3)
        bottomPadding: topPadding
        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
        horizontalAlignment: HorizontalAlignment.Center
        Button {
            text: qsTr("Shutdown") + Retranslate.onLocaleOrLanguageChanged
            onClicked: { 
                _app.sendToHL("SHUTDOWN")
                Application.quit()
            }
        }
        Button {
            text: qsTr("Send log") + Retranslate.onLocaleOrLanguageChanged
            onClicked: { _app.sendLog(); }
        }
    }
    Button {
        text: qsTr("Delete unlock purchase") + Retranslate.onLocaleOrLanguageChanged
        horizontalAlignment: HorizontalAlignment.Center
        onClicked: { 
            PurchaseStore.deletePurchaseRecords()
            deletePurchaseToast.show() 
        }
        attachedObjects: [
            SystemToast {
                id: deletePurchaseToast
                body: qsTr("Your fictive purchases have been erased. You can either re-buy the unlock in Unlock page or wait 24h to see if the app will stop working.") + Retranslate.onLocaleOrLanguageChanged
                button.label: qsTr("OK") + Retranslate.onLocaleOrLanguageChanged
            }
        ]
    }
}
