import bb.cascades 1.2
import bb.system 1.2
import "../CustomElements"

Container {
    id: pebbleUI
    horizontalAlignment: HorizontalAlignment.Center
    verticalAlignment: VerticalAlignment.Center
    ImageView {
        imageSource: "asset:///images/bridge_promo_banner.png"
        scalingMethod: ScalingMethod.AspectFit
        horizontalAlignment: HorizontalAlignment.Center
    }
    CustomDivider {}
    HuBBleContainer {}
    CustomDivider {}
    PebbleAppstoreContainer {}
    CustomDivider {}
    DooContainer {}
    CustomDivider {}
    UberContainer {}
    CustomDivider {}
    Label {
        text: qsTr("Welcome to Bridge!\n\nBridge uses Pebble Time Android app to communicate with Pebble, letting you have the best of both worlds :\n\n-BlackBerry: Emails, SMS, Calls, BBM, Face10, Hub2Watch, Blaq, WhatsApp, PocketSafe, etc.\n\n-Android: Timeline, connected watchapps that just works, smart watchfaces, voice dictation, etc.\n\n-Pebble: An exclusive watchapp that allows you to read, delete, reply to your email and SMS at any time, control your music and more.\n\n\nTo get started, follow these 4 easy steps. If you need help, make sure to check Help page from top menu.") + Retranslate.onLocaleOrLanguageChanged
        textStyle.textAlign: TextAlign.Justify
        multiline: true
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "1"
        stepInstruction: qsTr("Make sure Talk2Watch isn't running, headless or not. Bridge will interfere with Talk2Watch and vice-versa, so you should never run both apps at the same time. You don't need to uninstall Talk2Watch, just don't run both apps at the same time. If you decide to go back to Talk2Watch for a few days, make sure to stop Bridge Droid from Device Monitor.") + Retranslate.onLocaleOrLanguageChanged
        buttonText: ""
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "2"
//        stepInstruction: qsTr("Install Pebble Time Android app.") + Retranslate.onLocaleOrLanguageChanged
        buttonText: qsTr("Install Pebble Time Android app.") + Retranslate.onLocaleOrLanguageChanged
        buttonImageSource: "asset:///images/pebbleTime.png"
        onButtonClicked: { _app.installPebbleApp(_publicDir + "assets/PebbleApk/com.getpebble.android.basalt.apk_4_2_1.apk") }
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "3"
        stepInstruction: qsTr("Install Bridge Droid free app from Amazon Appstore. Bridge Droid is the central point between Pebble Time Android app, Bridge BlackBerry 10 app and Bridge WA (watchapp). If Amazon doesn't let you buy the free app, perform a search for 'Bridge Droid'.") + Retranslate.onLocaleOrLanguageChanged
        buttonText: qsTr("Install Bridge Droid") + Retranslate.onLocaleOrLanguageChanged
        buttonImageSource: "asset:///images/appIcon_96.png"
        onButtonClicked: { _app.installBridgeDroid(_publicDir + "assets/BridgeDroidApk/BridgeDroid.apk") }
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "4"
        stepInstruction: qsTr("Install Bridge WA (watchapp) from Pebble Appstore. (Pebble Time Android app needs to be installed)") + Retranslate.onLocaleOrLanguageChanged
        buttonText: qsTr("Install Bridge WA") + Retranslate.onLocaleOrLanguageChanged
        buttonImageSource: "asset:///images/appIcon_96.png"
        onButtonClicked: { 
            bridgeWAinvocation.query.invokeActionId = "bb.action.OPEN"
            bridgeWAinvocation.query.uri = _publicDir + "assets/BridgeWA/Bridge_WA.pbw"
            bridgeWAinvocation.query.updateQuery()
        }
        attachedObjects: [
            SystemToast {
                id: setWatchappShortcutToast
                body: qsTr("We highly recommend that you set Bridge WA as a shortcut on your Pebble. On your Pebble, navigate to Settings -> Quick Launch to set a shortcut to Bridge WA.\n\nThis message will not show again.") + Retranslate.onLocaleOrLanguageChanged
                button.label: qsTr("OK") + Retranslate.onLocaleOrLanguageChanged
                onFinished: { _settings.setValue("setWatchappShortcutToastShown", true) }
            },
            Invocation {
                id: bridgeWAinvocation
                onArmed: { trigger(query.invokeActionId) }
            }
        ]
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "5"
        stepInstruction: qsTr("Support Bridge by donating.") + Retranslate.onLocaleOrLanguageChanged
        buttonText: qsTr("Donate") + Retranslate.onLocaleOrLanguageChanged
        buttonImageSource: "asset:///images/paypal.png"
        onButtonClicked: { donateToast.show() }
        attachedObjects: [
            SystemToast {
                id: donateToast
                body: "This app is supported by your donation, you'll be redirected to my PayPal donation account."
                button.label: "Ok"
                onFinished: {
                    donateInvocation.query.invokeActionId = "bb.action.OPEN"
                    donateInvocation.query.invokeTargetId = "sys.browser"
                    donateInvocation.query.uri = "https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=SPVU4HNBUJBH2"
                    donateInvocation.query.updateQuery()
                }
            },
            Invocation {
                id: donateInvocation
                onArmed: { trigger(query.invokeActionId) }
            }
        ]
    }
    CustomDivider {}
}
