import bb.cascades 1.2
import bb.system 1.2
import "../CustomElements"

Container {
    id: pebbleUI
    horizontalAlignment: HorizontalAlignment.Center
    verticalAlignment: VerticalAlignment.Center
    ImageView {
        imageSource: "asset:///images/vector_banner.png"
        scalingMethod: ScalingMethod.AspectFit
        horizontalAlignment: HorizontalAlignment.Center
    }
    Label {
        text: qsTr("Welcome to Bridge!\n\nBridge uses Vector Watch Android app to communicate with Vector, letting you have the best of both worlds :\n\n-BlackBerry: Emails, SMS, Calls, Calendar, BBM, Face10, Blaq, WhatsApp, PocketSafe, etc.\n\n-Android: Streams, pedometer, customization, watchface choice, etc.\n\nTo get started, follow these 4 easy steps. If you need help, make sure to check Help page from top menu.") + Retranslate.onLocaleOrLanguageChanged
        textStyle.textAlign: TextAlign.Justify
        multiline: true
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "1"
        stepInstruction: qsTr("Install Vector Watch Android app.") + Retranslate.onLocaleOrLanguageChanged
        buttonText: qsTr("How To Install Vector Watch") + Retranslate.onLocaleOrLanguageChanged
        buttonImageSource: "asset:///images/vectorWach.png"
        onButtonClicked: { 
            vectorWatchInvocation.query.invokeActionId = "bb.action.OPEN"
            vectorWatchInvocation.query.invokeTargetId = "sys.browser"
            vectorWatchInvocation.query.uri = "https://www.google.ca/search?q=how+to+install+com.vectorwatch.android+apk&hl=en-US&gws_rd=cr,ssl&ei=ETaqVtTFMOq7jgTF_pH4AQ"
            vectorWatchInvocation.query.updateQuery()
        }
        attachedObjects: [
            Invocation {
                id: vectorWatchInvocation
                onArmed: { trigger(query.invokeActionId) }
            }
        ]
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "2"
        stepInstruction: qsTr("Follow the instructions in Vector Watch app and connect your Vector smartwatch with the app. You will have to create a Vector account during this process.") + Retranslate.onLocaleOrLanguageChanged
        buttonText: ""
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "3"
        stepInstruction: qsTr("Install Bridge Droid free app from Amazon Appstore. Bridge Droid is the central point between Pebble Time Android app, Bridge BlackBerry 10 app and Bridge WA (watchapp). If Amazon doesn't let you buy the free app, perform a search for 'Bridge Droid'.") + Retranslate.onLocaleOrLanguageChanged
        buttonText: qsTr("Install Bridge Droid") + Retranslate.onLocaleOrLanguageChanged
        buttonImageSource: "asset:///images/appIcon_96.png"
        onButtonClicked: { _app.installBridgeDroid(_publicDir + "assets/BridgeDroidApk/BridgeDroid.apk") }
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "4"
        stepInstruction: qsTr("Bridge experience can be leverage even more by downloading third-party applications that connects with Bridge. Most notable applications are : Blaq, Face10, PocketSafe, BlackBullet, PowerTools, Blackberry-france and United.") + Retranslate.onLocaleOrLanguageChanged
        buttonText: ""
    }
    CustomDivider {}
    InstallationStepTemplate {
        stepNumber: "5"
        stepInstruction: qsTr("Support Bridge by donating.") + Retranslate.onLocaleOrLanguageChanged
        buttonText: qsTr("Donate") + Retranslate.onLocaleOrLanguageChanged
        buttonImageSource: "asset:///images/paypal.png"
        onButtonClicked: { donateToast.show() }
        attachedObjects: [
            SystemToast {
                id: donateToast
                body: "This app is supported by your donation, you'll be redirected to my PayPal donation account."
                button.label: "Ok"
                onFinished: {
                    donateInvocation.query.invokeActionId = "bb.action.OPEN"
                    donateInvocation.query.invokeTargetId = "sys.browser"
                    donateInvocation.query.uri = "https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=SPVU4HNBUJBH2"
                    donateInvocation.query.updateQuery()
                }
            },
            Invocation {
                id: donateInvocation
                onArmed: { trigger(query.invokeActionId) }
            }
        ]
    }
    CustomDivider {}
}
