import bb.cascades 1.2

Container {
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Do Not Disturb In Bedside Mode") + Retranslate.onLanguageChanged
        Option {                        
            id: yes
            text: qsTr("Yes") + Retranslate.onLanguageChanged
            value: true
        }
        Option {                        
            id: no
            text: qsTr("No") + Retranslate.onLanguageChanged
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("doNotDisturbInBedsideMode", selectedValue)
        }
    }
    
    onCreationCompleted: {
        var settingsValue = _settings.value("doNotDisturbInBedsideMode", false)
        for (var i = 0; i < dropDown.count(); i++) {
            if (settingsValue == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
    Label {
        text: qsTr("You can enable this option if you don't want the watch to receive new email/SMS/BBM/WhatsApp when the phone is in Bedside Mode.") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
        textStyle.textAlign: TextAlign.Justify
    }
}
