import bb.cascades 1.2
import "../CustomElements"

Container {
    id: emailAccountsContainer
    property variant emailAccounts: _settings.value("emailAccounts", "")
    property variant emailAccountsDisabled: _settings.value("emailAccountsDisabled", "")
    
    onEmailAccountsDisabledChanged: {
        console.log("emailAccountsDisabled: " + emailAccountsDisabled)
    }
    
    Label {
        text: qsTr("Choose which email accounts you want to be notified of new messages.") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
        textStyle.textAlign: TextAlign.Justify
    }
    
    CustomDivider { visible: (_settings.value("watchUsed", "pebble") == "vector") }
    
    Container {
        visible: (_settings.value("watchUsed", "pebble") == "vector")
        background: Color.LightGray
        Slider {
            id: slider
            value: _settings.value("charactersFromEmailBodyToSend", 100)
            fromValue: 50
            toValue: 300
            onValueChanged: _settings.setValue("charactersFromEmailBodyToSend", Number(value).toFixed(0))
        }
        Container {
            layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
            ToggleButton {
                checked: _settings.value("sendEmailBodyToVector", false)
                onCheckedChanged: _settings.setValue("sendEmailBodyToVector", checked)
                verticalAlignment: VerticalAlignment.Center
            }
            Label {
                text: String(slider.immediateValue.toFixed(0)) + " " + qsTr("first characters of email body sent to Vector? (Not recommended by Vector)") + Retranslate.onLocaleOrLanguageChanged
                multiline: true
                verticalAlignment: VerticalAlignment.Center
            }
        }
    }
    
    onCreationCompleted: {
        console.log("emailAccounts: " + emailAccounts)
        for (var i = emailAccounts.length - 1; i >= 0; i--) {
            var thisEmail = emailAccountTemplate.createObject()
            thisEmail.address = emailAccounts[i]
            emailAccountsContainer.insert(0, thisEmail)
        }
    }
    attachedObjects: [
        ComponentDefinition { 
            id: emailAccountTemplate
            source: "EmailAccountTemplate.qml"
        }
    ]
}
