import bb.cascades 1.2

Container {
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Reminder Time") + Retranslate.onLanguageChanged
        Option {                        
            text: qsTr("15") + Retranslate.onLanguageChanged
            value: 15
        }
        Option {                        
            text: qsTr("30") + Retranslate.onLanguageChanged
            value: 30
        }
        Option {                        
            text: qsTr("45") + Retranslate.onLanguageChanged
            value: 45
        }
        Option {                        
            text: qsTr("60") + Retranslate.onLanguageChanged
            value: 60
        }
        onSelectedOptionChanged: {
            _settings.setValue("reminderTime", selectedValue)
        }
    }
    
    onCreationCompleted: {
        var settingsValue = _settings.value("reminderTime", 15)
        for (var i = 0; i < dropDown.count(); i++) {
            if (settingsValue == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
    Label {
        text: qsTr("This is the time (in minutes) you'll be alerted before a Calendar event starts. If a reminder time is already set in the Calendar event, this option has no effect.") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
        textStyle.textAlign: TextAlign.Justify
    }
}
