import bb.cascades 1.2

Container {
    property alias sectionName: label.text
    property bool sectionVisible: true
    
    onCreationCompleted: {
        sectionVisible = false
    }
    
    onSectionVisibleChanged: {
        for (var i = 1; i < count(); i++) {
            at(i).visible = sectionVisible
        }
    }
    
    Container {
        layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
        bottomPadding: _ui.du(3)
        onTouch: {
            if (event.isUp())
                sectionVisible = !sectionVisible
        }
        Label {
            id: label
            textStyle.fontSize: FontSize.XLarge
            textStyle.color: Color.Blue
            multiline: true
            verticalAlignment: VerticalAlignment.Center
        }
        Label {
            text: "^"
            rotationZ: sectionVisible ? 180 : 0
            textStyle.fontSize: FontSize.XLarge
            textStyle.color: Color.Blue
            verticalAlignment: VerticalAlignment.Center
        }
    }
}
