import bb.cascades 1.2

Container {
    property bool sendNewMessageToBridgeWA: _settings.value("SendNewMessageToBridgeWA", true)
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Send New Messages To Bridge WA") + Retranslate.onLanguageChanged
        Option {                        
            id: yes
            text: qsTr("Yes") + Retranslate.onLanguageChanged
            value: true
        }
        Option {                        
            id: no
            text: qsTr("No") + Retranslate.onLanguageChanged
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("SendNewMessageToBridgeWA", selectedValue)
            sendNewMessageToBridgeWA = selectedValue
        }
    }
    
    onCreationCompleted: {
        _settings.allSettingsChanged.connect(onAllSettingsChanged)
        onAllSettingsChanged(_settings.allSettings)
    }
    
    function setSelectedOption(settingsValue) {
        for (var i = 0; i < dropDown.count(); i++) {
            if (settingsValue == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
    
    function onAllSettingsChanged(settings) {
        var settingsValue = _settings.value("SendNewMessageToBridgeWA", true)
        if (dropDown.selectedValue != settingsValue)
            setSelectedOption(settingsValue)
    }
    
    Label {
        text: qsTr("When you receive a new Email or SMS, you can choose to display them either as a standard notification (instantaneous, but no Actions can be performed as Reply, Mark Read, etc) or as a notification within Bridge WA (slight delay, but you can use Actions).") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
        textStyle.textAlign: TextAlign.Justify
    }
}

