import bb.cascades 1.2

Container {
    property bool showCalendarNotifications: _settings.value("showCalendarNotifications", false)
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Show Calendar Notifications") + Retranslate.onLanguageChanged
        Option {                        
            id: yes
            text: qsTr("Yes") + Retranslate.onLanguageChanged
            value: true
        }
        Option {                        
            id: no
            text: qsTr("No") + Retranslate.onLanguageChanged
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("showCalendarNotifications", selectedValue)
            showCalendarNotifications = selectedValue
            _app.sendToHL("RESEND_CALENDAR_TO_TIMELINE")
        }
    }
    
    onCreationCompleted: {
        var settingsValue = _settings.value("showCalendarNotifications", true)
        for (var i = 0; i < dropDown.count(); i++) {
            if (settingsValue == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
    Label {
        id: pebbleLabel
        text: qsTr("You can disable this option if you don't want to receive a notification on Pebble when your Calendar events are due. Note that Calendar events will still show in Timeline, but you won't get reminders.") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
        textStyle.textAlign: TextAlign.Justify
        visible: (_settings.value("watchUsed", "pebble") == "pebble")
    }
    Label {
        text: qsTr("You can disable this option if you don't want to receive a notification on Vector when your Calendar events are due.") + Retranslate.onLocaleOrLanguageChanged
        multiline: true
        textStyle.textAlign: TextAlign.Justify
        visible: !pebbleLabel.visible
    }
}
