import bb.cascades 1.0
import QTimer 1.0
import ".."
import "../Actions"
import "../MyApps"

Sheet {
    id: infoSheet
    onOpened: { myApps.autoScroll = true; Application.setMenuEnabled(false); }
    onClosed: { myApps.autoScroll = false; Application.setMenuEnabled(true); }
    
    Page {
        id: infoPage
        
        titleBar: TitleBar {
            title: qsTr("About") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Ok") + Retranslate.onLanguageChanged
                onTriggered: {
                    infoSheet.close()
                }
            }
        }
        
        actions: [
//            ShareAppOnBarOrSignature {},
            ReportBugAction {}
        ]
        
        ScrollView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Container {
                layout: DockLayout {}
                topPadding: _ui.du(2)
                leftPadding: topPadding
                rightPadding: topPadding
                bottomPadding: topPadding
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                Container {
                    horizontalAlignment: HorizontalAlignment.Fill
                    Container {
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Center
                        Container {
                            layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
                            horizontalAlignment: HorizontalAlignment.Center
                            verticalAlignment: VerticalAlignment.Center
                            ImageView {
                                imageSource: "asset:///images/appIcon.png"
                                maxHeight: luh.layoutFrame.height
                                maxWidth: maxHeight
                                scalingMethod: ScalingMethod.AspectFit
                                horizontalAlignment: HorizontalAlignment.Center
                                verticalAlignment: VerticalAlignment.Center
                            }
                            Container {
                                attachedObjects: [ LayoutUpdateHandler { id: luh } ]
                                horizontalAlignment: HorizontalAlignment.Center
                                verticalAlignment: VerticalAlignment.Center
                                Label {
                                    text: Application.applicationName
                                    multiline: true
                                    horizontalAlignment: HorizontalAlignment.Center
                                    textStyle.fontStyle: FontStyle.Italic
                                    textStyle.fontSize: FontSize.PointValue
                                    textStyle.fontSizeValue: 15
                                    bottomMargin: _ui.du(0.5)
                                }
                                Label {
                                    text: qsTr("Version: ") + Retranslate.onLocaleOrLanguageChanged + Application.applicationVersion
                                    multiline: true
                                    bottomMargin: _ui.du(1)
                                    horizontalAlignment: HorizontalAlignment.Center
                                    textStyle.fontStyle: FontStyle.Italic 
                                }            
                                Label {
                                    text: qsTr("Bridge API 1.2") + Retranslate.onLocaleOrLanguageChanged
                                    multiline: true
                                    bottomMargin: _ui.du(1)
                                    horizontalAlignment: HorizontalAlignment.Center
                                    textStyle.fontStyle: FontStyle.Italic 
                                }            
                            }
                        }
                        Label {
                            visible: (mainPage.watchUsed == "pebble")
                            text: qsTr("This app is a companion app to Pebble Time Android app, you need to install Pebble Time Android app in order to make it work.\n\nContact Pebble company if you can't find their Android app, they will give you all the steps to get started. Obviously, you need to also own a Pebble Time smartwatch, otherwise this app will be useless for you.\n\nThis app is headless, you can close it and don't need to keep it opened as an Active Frame.")
                            multiline: true
                            bottomMargin: _ui.du(1)
                            horizontalAlignment: HorizontalAlignment.Center
                            textStyle.fontSize: FontSize.Medium
                            textStyle.textAlign: TextAlign.Justify
                        }            
                        Label {
                            visible: (mainPage.watchUsed == "vector")
                            text: qsTr("This app is a companion app to Vector Watch Android app, you need to install Vector Watch Android app in order to make it work.\n\nFollow this guide if you need more info on how to get started :\nhttps://vectorwatch.zendesk.com/hc/en-us/articles/207469285-How-to-get-the-Vector-Watch-work-with-BlackBerry-10-devices\n\nObviously, you need to also own a Vector smartwatch, otherwise this app will be useless for you.\n\nThis app is headless, you can close it and don't need to keep it opened as an Active Frame.")
                            multiline: true
                            bottomMargin: _ui.du(1)
                            horizontalAlignment: HorizontalAlignment.Center
                            textStyle.fontSize: FontSize.Medium
                            textStyle.textAlign: TextAlign.Justify
                            content.flags: TextContentFlag.ActiveText
                        }            
                    }
                    Divider {}
                    Header {
                        title: qsTr("Developer: CellNinja") + Retranslate.onLanguageChanged
                    }              
                    MyApps { id: myApps }
                }
            }
        }
    }
}
