import bb.cascades 1.0
import ".."
import "../Actions"
import "../CustomElements"

Sheet {
    id: helpSheet
    onOpened: { Application.setMenuEnabled(false); }
    onClosed: { Application.setMenuEnabled(true); }
    
    Page {
        id: helpPage
        
        titleBar: TitleBar {
            title: qsTr("Help") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Ok") + Retranslate.onLanguageChanged
                onTriggered: {
                    helpSheet.close()
                }
            }
        }
        
        actions: [
            ReportBugAction {}
        ]
        
        ScrollView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Container {
                layout: DockLayout {}
                topPadding: _ui.du(2)
                leftPadding: topPadding
                rightPadding: topPadding
                bottomPadding: topPadding
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                Container {
                    HelpQA {
                        question: qsTr("The app doesn't work at all. What have I done wrong?") + Retranslate.onLocaleOrLanguageChanged
                        answer: qsTr("This app is really complex and there's a lot of interrelations. Before trying anything, go in Hub and search for 'Bridge Droid', open Bridge Droid notification, click 3 dots icon on top right corner and shoose Close app. Restart Bridge Droid. If that doesn't work, uninstall Bridge, Bridge Droid and Bridge WA, make sure Talk2Watch is not running, headless or not, and then reinstall Bridge and follow the steps from main screen. If this doesn't solve your problem, send a log to developer (button is in the bottom of this screen).") + Retranslate.onLocaleOrLanguageChanged
                    }
                    HelpQA {
                        visible: (mainPage.watchUsed == "vector")
                        question: qsTr("I'm confused on how to setup Vector, where can I find more information?") + Retranslate.onLocaleOrLanguageChanged
                        answer: qsTr("https://vectorwatch.zendesk.com/hc/en-us/articles/207469285-How-to-get-the-Vector-Watch-work-with-BlackBerry-10-devices") + Retranslate.onLocaleOrLanguageChanged
                    }
                    HelpQA {
                        visible: (mainPage.watchUsed == "pebble")
                        question: qsTr("Is this app supports original Pebble or original Pebble Steel? Will it ever support it?") + Retranslate.onLocaleOrLanguageChanged
                        answer: qsTr("YES!!! But certain features aren't available for Pebble Classic and Pebble Steel users due to RAM limitations : custom replies, voice dictation, images, long message support, etc. The basic features are supported though, it's still a great experience!") + Retranslate.onLocaleOrLanguageChanged
                    }
                    HelpQA {
                        visible: (mainPage.watchUsed == "vector")
                        question: qsTr("Will this app works after the freemium period is over?") + Retranslate.onLocaleOrLanguageChanged
                        answer: qsTr("Bridge Droid will still work, but Bridge will not. What that means is you'll receive notifications from third-party apps that connects to Bridge like Blaq and PocketSafe, but you won't receive any email, SMS, BBM or Calendar events.") + Retranslate.onLocaleOrLanguageChanged
                    }
                    HelpQA {
                        question: qsTr("I want to get more out of my smartwatch, what apps do you suggest that works with Bridge?") + Retranslate.onLocaleOrLanguageChanged
                        answer: ((mainPage.watchUsed == "pebble") ? "<a href=\"appworld://content/59952550\">Hub2Watch</a>\n\n" : "") + "<a href=\"appworld://content/59986239\">Face10</a>\n\n<a href=\"appworld://content/26733874\">Blaq</a>\n\n<a href=\"appworld://content/59967056\">PocketSafe</a>\n\n<a href=\"appworld://content/2360\">WhatsApp</a>\n\n<a href=\"appworld://content/40723891\">PowerTools</a>"
                    }
                }
            }
        }
    }
}
