import bb.cascades 1.0
import "../CustomElements"

Sheet {
    id: huBBleSheet
    onOpened: { Application.setMenuEnabled(false); }
    onClosed: { Application.setMenuEnabled(true); }
    
    Page {
        id: huBBlePage
        
        titleBar: TitleBar {
            title: qsTr("huBBle") + Retranslate.onLanguageChanged
            acceptAction: ActionItem {
                title: qsTr("Ok") + Retranslate.onLanguageChanged
                onTriggered: {
                    huBBleSheet.close()
                }
            }
        }
                
        ScrollView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            Container {
                layout: DockLayout {}
                topPadding: _ui.du(2)
                leftPadding: topPadding
                rightPadding: topPadding
                bottomPadding: topPadding
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    Label {
                        text: qsTr("huBBle is a new BlackBerry 10 native app that lets you use your Pebble with the lowest impact on battery life, while keeping you up-to-date on what's happening on your phone. huBBle doesn't need Bridge to work, but running them together lets you enjoy full blown Email and SMS notifications on your Pebble.") + Retranslate.onLocaleOrLanguageChanged
                        textStyle.textAlign: TextAlign.Justify
                        multiline: true
                    }
                    CustomDivider {}
                    InstallationStepTemplate {
                        stepNumber: "1"
                        buttonText: qsTr("Install huBBle app (0.99$ US).") + Retranslate.onLocaleOrLanguageChanged
                        buttonImageSource: "asset:///images/hubble.png"
                        onButtonClicked: { _app.installHuBBleApp() }
                    }
                    CustomDivider {}
                    InstallationStepTemplate {
                        stepNumber: "2"
                        stepInstruction: qsTr("On huBBle main screen, make sure to enable 'Act as proxy only' option.") + Retranslate.onLocaleOrLanguageChanged
                        buttonText: ""
                    }
                    CustomDivider {}
                    InstallationStepTemplate {
                        stepNumber: "3"
                        stepInstruction: qsTr("Enable huBBle support button below.") + Retranslate.onLocaleOrLanguageChanged
                        buttonText: ""
                    }
                    Container {
                        horizontalAlignment: HorizontalAlignment.Center
                        ToggleButton {
                            verticalAlignment: VerticalAlignment.Center
                            checked: _settings.value("useHuBBle", false)
                            onCheckedChanged: _settings.setValue("useHuBBle", checked)
                        }
                    }
                    CustomDivider {}
                    InstallationStepTemplate {
                        stepNumber: "4"
                        stepInstruction: qsTr("You're all set! You don't even need to run Bridge Droid with huBBle!\n\nLimitations : No smart watchface/watchapp support, no timeline support and no phone support.") + Retranslate.onLocaleOrLanguageChanged
                        buttonText: ""
                    }
                    CustomDivider {}
                }
            }
        }
    }
}
