import bb.cascades 1.0
import ".."
import "../CustomElements"

Sheet {
    id: tutorialSheet
    onOpened: { Application.setMenuEnabled(false); }
    onClosed: { Application.setMenuEnabled(true); _settings.setValue("firstRun", false) }
    
    Page {
        id: tutorialPage
        
        Container {
            layout: DockLayout {}
            topPadding: _ui.du(2)
            leftPadding: topPadding
            rightPadding: topPadding
            bottomPadding: topPadding
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            ListView {
                id: listView
                
                scrollRole: tutorialSheet.opened ? ScrollRole.Main : ScrollRole.None
                dataModel: XmlDataModel { source: qsTr("asset:///Tutorial/tutorialModel.xml") + Retranslate.onLanguageChanged }
                layout: StackListLayout { orientation: LayoutOrientation.LeftToRight }
                flickMode: FlickMode.SingleItem
                
                function skipClicked() { tutorialSheet.close() }
                
                listItemComponents: [
                    ListItemComponent {
                        type: "item"
                        Container {
                            id: itemContainer
                            layout: DockLayout {}
                            minHeight: _deviceInfo.deviceHeight
                            minWidth: _deviceInfo.deviceWidth
                            maxHeight: minHeight
                            maxWidth: minWidth
                            Container {
                                layout: DockLayout {}
                                horizontalAlignment: HorizontalAlignment.Center
                                verticalAlignment: VerticalAlignment.Center
                                ImageView { 
                                    imageSource: ListItemData.image 
                                    scalingMethod: ScalingMethod.AspectFit
                                    horizontalAlignment: HorizontalAlignment.Center
                                    verticalAlignment: VerticalAlignment.Center
                                    attachedObjects: [ LayoutUpdateHandler { id: imageViewLuh } ]
                                }
                                Container {
                                    topPadding: imageViewLuh.layoutFrame.height / 20
                                    rightPadding: imageViewLuh.layoutFrame.width / 20
                                    horizontalAlignment: HorizontalAlignment.Right
                                    verticalAlignment: VerticalAlignment.Top
                                    gestureHandlers: [ TapHandler { onTapped: { itemContainer.ListItem.view.skipClicked() } } ]
                                    Label {
                                        text: qsTr("SKIP") + Retranslate.onLocaleOrLanguageChanged
                                        textStyle.fontWeight: FontWeight.W700
                                        textStyle.color: Color.White
                                        textStyle.fontSize: FontSize.Large
                                    }
                                }
                            }
                        }
                    }
                ]    
            } // End of ListView
        }
    }
}
